net.sf.cglib.transform.impl

## Interface FieldProvider

-     public interface FieldProvider

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getField(int index)`
    `java.lang.Object` | `getField(java.lang.String name)`
    `java.lang.String[]` | `getFieldNames()`
    `java.lang.Class[]` | `getFieldTypes()`
    `void` | `setField(int index, java.lang.Object value)`
    `void` | `setField(java.lang.String name, java.lang.Object value)`

- - ### Method Detail

    - #### getFieldNames

          java.lang.String[] getFieldNames()

    - #### getFieldTypes

          java.lang.Class[] getFieldTypes()

    - #### setField

          void setField(int index,
                      java.lang.Object value)

    - #### getField

          java.lang.Object getField(int index)

    - #### setField

          void setField(java.lang.String name,
                      java.lang.Object value)

    - #### getField

          java.lang.Object getField(java.lang.String name)

Copyright (c) 2001 - Apache Software Foundation